Subject: Re: [bitcoin-dev] BIP: Full Replace-by-Fee deployment schedule

From: Luke Dashjr <[email-masked]>
Date: Mon, 29 Jun 2015 05:51:55 +0000

On Monday, June 29, 2015 5:43:13 AM Gregory Maxwell wrote:
> On Mon, Jun 29, 2015 at 5:40 AM, Luke Dashjr <[email-masked]> wrote:
> > Policy is node/miner fiat and not the domain of BIPs.
> 
> Even accepting the premise that policy is pure local fiat, the
> conclusion doesn't follow for me. BIPs about best practices or
> especially anything where interop or coordination are, I think,
> reasonable uses of the process.
> 
> E.g. you might want to know what other kinds of policy are in use if
> you're to have any hope of authoring transactions that work at all!

Then we are to start issuing a new BIP for every node's policy? This has no 
end - though it might make sense for an independent and updated database. 
Mixing protocol standards with policy suggestions makes a very risky situation 
where one can potentially hold a miner liable for not enforcing the BIP; ie, 
government regulation of Bitcoin itself. I don't think most people want to go 
there...

Luke